Page MenuHomePhabricator

[Task] Add initial configuration for an "Identifiers" statement section
Closed, ResolvedPublic

Description

As long as the external-id data type does not exist, we will start with a basic setting like this:

$wgWBRepoSettings['statementSections'] = array(
	'item' => array(
		'statements' => null,
		'identifiers' => array(
			'type' => 'propertySet',
			'propertyIds' => array(
				'P61',
				'…',
			),
		),
	),
);

This is what this setting does:

Later, when the external-id data type finally exists, the setting will be changed:

$wgWBRepoSettings['statementSections'] = array(
	'item' => array(
		'statements' => null,
		'identifiers' => array(
			'type' => 'dataType',
			'dataTypes' => array( 'external-id' ),
		),
	),
);

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

thiemowmde claimed this task.
thiemowmde raised the priority of this task from to Medium.
thiemowmde updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2016, 11:35 AM

Change 263046 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Basic "Identifiers" statement section config for Wikidata

https://gerrit.wikimedia.org/r/263046

Change 263073 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Default "Identifiers" statement section config

https://gerrit.wikimedia.org/r/263073

Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Feb 3 2016, 1:30 PM

Change 263046 merged by jenkins-bot:
Basic "Identifiers" statement section config for Wikidata

https://gerrit.wikimedia.org/r/263046

aude closed this task as Resolved.Feb 16 2016, 10:31 PM
aude removed a project: Patch-For-Review.
aude moved this task from Review to Done on the Wikidata-Sprint-2016-02-16 board.

Change 263073 abandoned by Thiemo Mättig (WMDE):
Default "Identifiers" statement section config

https://gerrit.wikimedia.org/r/263073